#ifndef CPSE_MATHDEFS_H
#define CPSE_MATHDEFS_H

namespace cpse {
namespace math {

struct identity_t {};
struct zero_t {
	operator float() const { return 0.f; }
	operator double() const { return 0.0; }
};

// for initialization
const identity_t identity = identity_t();
const zero_t zero = zero_t();

} // namespace math
} // namespace cpse

#endif
