#ifndef CPSE_MATH_UTILITY_H
#define CPSE_MATH_UTILITY_H

#include <limits>
#include <cmath>

namespace cpse {
namespace math {

inline bool close(int a, int b)
	{ return a == b; }
inline bool close(float a, float b)
	{ return std::abs(a - b) < std::numeric_limits<float>::epsilon(); }
inline bool close(double a, double b)
	{ return std::abs(a - b) < std::numeric_limits<double>::epsilon(); }

} // namespace math
} // namespace cpse

#endif
